PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Initialization Functions
PDL API Reference » AUTONOMOUS ANALOG (Autonomous Analog Block) » CTB (Continuous Time Block) » Functions

## General Description

This set of functions is used to configure the CTB.

## Functions
cy_en_autanalog_status_t | Cy_AutAnalog_CTB_LoadConfig (uint8_t ctbIdx, const cy_stc_autanalog_ctb_t *ctbCfg)
| Configures the CTB per provided static and dynamic settings. More...
cy_en_autanalog_status_t | Cy_AutAnalog_CTB_LoadStaticConfig (uint8_t ctbIdx, const cy_stc_autanalog_ctb_sta_t *ctbStaCfg)
| Configures the CTB per settings in the static configuration structure. More...
cy_en_autanalog_status_t | Cy_AutAnalog_CTB_LoadDynamicConfig (uint8_t ctbIdx, uint8_t ctbDynCfgNum, const cy_stc_autanalog_ctb_dyn_t *ctbDynCfgArr)
| Configures the CTB per settings in the dynamic configuration structure. More...

## Function Documentation

## ◆ Cy_AutAnalog_CTB_LoadConfig()

cy_en_autanalog_status_t Cy_AutAnalog_CTB_LoadConfig | ( | uint8_t | ctbIdx,
|  | const cy_stc_autanalog_ctb_t * | ctbCfg
| ) |  |

Configures the CTB per provided static and dynamic settings.

Note
  Enabling or disabling the Opamp requires a new initialization delay for the CTB subsystem. Use a global API Cy_AutAnalog_LoadConfig instead of the local API.

Parameters

  ctbIdx | The index of the CTB subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::ctb
  ctbCfg | The pointer to a structure containing the static and dynamic parts of the configuration data for the entire CTB.

Returns
  Status of initialization, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_CTB_LoadStaticConfig()

cy_en_autanalog_status_t Cy_AutAnalog_CTB_LoadStaticConfig | ( | uint8_t | ctbIdx,
|  | const cy_stc_autanalog_ctb_sta_t * | ctbStaCfg
| ) |  |

Configures the CTB per settings in the static configuration structure.

Note
  Enabling or disabling the Opamp requires a new initialization delay for the CTB subsystem. Use a global API Cy_AutAnalog_LoadConfig instead of the local API.

Parameters

  ctbIdx | The index of the CTB subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::ctb
  ctbStaCfg | The pointer to a structure containing static configuration data for the CTB.

Returns
  Status of initialization, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_CTB_LoadDynamicConfig()

cy_en_autanalog_status_t Cy_AutAnalog_CTB_LoadDynamicConfig | ( | uint8_t | ctbIdx,
|  | uint8_t | ctbDynCfgNum,
|  | const cy_stc_autanalog_ctb_dyn_t * | ctbDynCfgArr
| ) |  |

Configures the CTB per settings in the dynamic configuration structure.

The dynamic configuration of the CTB can be modified by the Autonomous Controller during operation, per settings in the State Transition Table, see cy_stc_autanalog_stt_t.

Parameters

  ctbIdx | The index of the CTB subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::ctb
  ctbDynCfgNum | The actual number of dynamic configurations used to configure the CTB.
  ctbDynCfgArr | The pointer to a structure containing dynamic configuration data for the CTB.

Returns
  Status of initialization, cy_en_autanalog_status_t.